Page MenuHomePhabricator

[Task] change phpunit CI job for Wikidata.org to use composer
Closed, ResolvedPublic

Description

Add CI to Wikidata.org and WikimediaBadges extensions. After they moved to gerrit (T92520) we can now add them in the Wikimedia CI. (No integrations / tests were done to them on Github.)

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 2:34 AM
Lydia_Pintscher renamed this task from add CI to Wikidata.org and WikimediaBadges extensions to [Task] Add CI to Wikidata.org and WikimediaBadges extensions.Aug 19 2015, 1:07 PM
Lydia_Pintscher triaged this task as Low priority.
Lydia_Pintscher set Security to None.

Change 232445 had a related patch set uploaded (by Aude):
Add WikimediaBadges and Wikidata.org extensions

https://gerrit.wikimedia.org/r/232445

aude added a subscriber: aude.Aug 19 2015, 1:35 PM

https://gerrit.wikimedia.org/r/#/c/229199/ remains unmerged (and thus not in this weeks deployment branch) because there is no gate and submit and it's not obvious to reviewers that they have to press submit.

would be nice to have the CI jobs added so we can reapply the +2 and have jenkins merge this.

Change 232445 merged by jenkins-bot:
Add WikimediaBadges and Wikidata.org extensions

https://gerrit.wikimedia.org/r/232445

JanZerebecki renamed this task from [Task] Add CI to Wikidata.org and WikimediaBadges extensions to [Task] change phpunit CI job for Wikidata.org to use composer.Aug 20 2015, 10:44 AM

WikimediaBadges works, but Wikidata.org needs a dependency on Wikibase and the job needs to be changed to use composer.

JanZerebecki raised the priority of this task from Low to Medium.Sep 3 2015, 10:43 AM
JanZerebecki moved this task from Proposed to Review on the Wikidata-Sprint-2016-02-16 board.
Bene moved this task from Review to Done on the Wikidata-Sprint-2016-02-16 board.Feb 18 2016, 11:23 AM
Bene moved this task from Done to Review on the Wikidata-Sprint-2016-02-16 board.
JanZerebecki closed this task as Resolved.Feb 24 2016, 1:56 PM